patcher updates in make_incremental_updates.py does not recognize v1 signed packages

ASSIGNED
Assigned to

Status

ASSIGNED
4 years ago
9 months ago

People

(Reporter: ewong, Assigned: Callek)

Tracking

Trunk
x86
Mac OS X

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

4 years ago
in m-b, tools/update-packaging/make_incremental_updates.py supports only
v2 signed osx64 packages. So if you feed a prev. v1 signed package and a
current v2 signed package, it chokes.

Assigning this to Callek (by request).
(Reporter)

Updated

4 years ago
Blocks: 1090219
(Assignee)

Comment 1

4 years ago
I landed ttps://hg.mozilla.org/releases/mozilla-beta/rev/625cd745ca82 on the m-beta seamonkey relbranch to verify this fixes us.

If it does I'll submit for a proper review (with the right bug # cited to point here, rather than at the seamonkey specific bug)

Updated

9 months ago
Product: Core → Firefox Build System
You need to log in before you can comment on or make changes to this bug.